> ## Documentation Index
> Fetch the complete documentation index at: https://developers.e-cross.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all SKUs of a product

> Retrieve all SKUs of a specific product

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET 'https://product.api.e-cross.tech/ext/merchant/products/1234567' \
    -H 'Authorization: Bearer YOUR_TOKEN'
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  [
    {
      "merchantProductId": "ACME-1234567",
      "skuId": "1234567891",
      "name": "USB charger type C",
      "weight": 0.1,
      "ean": "0799439112767",
      "length": 19,
      "width": 4,
      "height": 4,
      "images": [
        "https://image-host/1234567/1.jpeg",
        "https://image-host/1234567/2.jpeg"
      ],
      "main": true,
      "globalSaleChannelData": {
        "size": "1 meter",
        "color": "silver",
        "active": true,
        "brand": "ChargerW",
        "category": "Telefones e Celulares/Acessórios/Carregadores",
        "attributes": [
          {
            "name": "Connection Type",
            "value": "USB-C"
          }
        ]
      },
      "description": "Beautiful and reliable super fast USB Type C charger.",
      "id": "ACME-1234567891",
      "productId": "1234567",
      "merchantId": "ACME",
      "salesChannelStatus": {
        "ECOM": {
          "statusDate": "2024-09-06T11:13:30.533Z",
          "statusMessage": "Integration successful",
          "status": "SALES_CHANNEL_APPROVED"
        }
      }
    }
  ]
  ```
</ResponseExample>

### Path Parameters

<ParamField path="productId" type="string" required>
  The product identifier that groups all SKUs together.
</ParamField>

### Response Fields

The response contains the same structure as defined in the [Upsert SKUs API](/api-reference/merchant-catalog/upsert-skus).
